[Pkg-privacy-commits] [onionshare] 13/33: fix for #188
Ximin Luo
infinity0 at debian.org
Mon Oct 19 14:15:40 UTC 2015
This is an automated email from the git hooks/post-receive script.
infinity0 pushed a commit to branch debian
in repository onionshare.
commit 41671e58dfb1ebebf5e0fabd361ad35d72fdc73d
Author: Freddy Martinez <freddymartine9 at gmail.com>
Date: Thu May 28 04:52:27 2015 -0500
fix for #188
---
build_deb.sh | 19 +++++++++++++------
1 file changed, 13 insertions(+), 6 deletions(-)
diff --git a/build_deb.sh b/build_deb.sh
index 5461283..995ee00 100755
--- a/build_deb.sh
+++ b/build_deb.sh
@@ -1,14 +1,21 @@
-#!/bin/sh
+#!/bin/bash
+
+DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && cd .. && pwd )"
+cd $DIR
VERSION=`cat version`
# clean up from last build
-rm -r deb_dist
+rm -r deb_dist >/dev/null 2>&1
# build binary package
python setup.py --command-packages=stdeb.command bdist_deb
-# install it
-echo ""
-echo "To install, run:"
-echo "sudo dpkg -i deb_dist/onionshare_$VERSION-1_all.deb"
+# return install instructions if onionshare builds properly
+if [$? -eq 0] then
+ echo ""
+ echo "To install, run:"
+ echo "sudo dpkg -i deb_dist/onionshare_$VERSION-1_all.deb"
+else
+ echo "OnionShare failed to build!"
+fi
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-privacy/packages/onionshare.git
More information about the Pkg-privacy-commits
mailing list